# Created by pyp2rpm-3.3.3
%global pypi_name testfixtures

%bcond_with tests
%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.3.0
Release:        %mkrel 2
Summary:        A collection of helpers and mock objects for unit tests and doc tests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/testfixtures/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_tests:-x test}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files testfixtures

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sat Mar 01 2025 wally <wally> 8.3.0-2.mga10
+ Revision: 2156002
- rebuild for python3.13

* Tue Jul 02 2024 papoteur <papoteur> 8.3.0-1.mga10
+ Revision: 2078920
- new version 8.3.0

* Tue Dec 19 2023 papoteur <papoteur> 7.2.2-2.mga10
+ Revision: 2019499
- Mass Rebuild - Python 3.12

* Tue Dec 19 2023 wally <wally> 7.2.2-1.mga10
+ Revision: 2019288
- new version 7.2.2
- use pyproject rpm macros
- disable doc build and tests for now

* Thu Mar 02 2023 daviddavid <daviddavid> 7.1.0-1.mga9
+ Revision: 1946325
- new version: 7.1.0, fixes build with sphinx >= 6.0

* Thu Sep 08 2022 neoclust <neoclust> 7.0.0-1.mga9
+ Revision: 1885720
- New version  7.0.0

* Wed Mar 30 2022 umeabot <umeabot> 6.18.3-3.mga9
+ Revision: 1834942
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 6.18.3-2.mga9
+ Revision: 1782060
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 6.18.3-1.mga9
+ Revision: 1771494
- version 6.18.3

* Sat Jun 26 2021 wally <wally> 6.17.1-2.mga9
+ Revision: 1733196
- Rebuild for python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 6.17.1-1.mga9
+ Revision: 1694294
- new version 6.17.1

* Sun Dec 13 2020 guillomovitch <guillomovitch> 6.16.0-1.mga8
+ Revision: 1656372
- new version 6.16.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 6.15.0-1.mga8
+ Revision: 1643763
- new version 6.15.0

* Sun Mar 29 2020 wally <wally> 6.14.0-1.mga8
+ Revision: 1562075
- imported package python-testfixtures

